Skip to main content
GET
/
library
/
{libraryId}
/
videos
List Videos
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/videos \
  --header 'AccessKey: <api-key>'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/videos"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://video.bunnycdn.com/library/{libraryId}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalItems": 123,
  "currentPage": 123,
  "itemsPerPage": 123,
  "items": [
    {
      "videoLibraryId": 123,
      "guid": "<string>",
      "title": "<string>",
      "dateUploaded": "2023-11-07T05:31:56Z",
      "views": 123,
      "isPublic": true,
      "length": 123,
      "status": 0,
      "framerate": 123,
      "width": 123,
      "height": 123,
      "outputCodecs": "<string>",
      "thumbnailCount": 123,
      "encodeProgress": 123,
      "storageSize": 123,
      "hasMP4Fallback": true,
      "averageWatchTime": 123,
      "totalWatchTime": 123,
      "description": "<string>",
      "rotation": 123,
      "availableResolutions": "<string>",
      "captions": [
        {
          "srclang": "<string>",
          "label": "<string>",
          "version": 123
        }
      ],
      "collectionId": "<string>",
      "thumbnailFileName": "<string>",
      "thumbnailUrl": "<string>",
      "thumbnailBlurhash": "<string>",
      "category": "<string>",
      "chapters": [
        {
          "title": "<string>",
          "start": 123,
          "end": 123
        }
      ],
      "moments": [
        {
          "label": "<string>",
          "timestamp": 123
        }
      ],
      "metaTags": [
        {
          "property": "<string>",
          "value": "<string>"
        }
      ],
      "transcodingMessages": [
        {
          "timeStamp": "2023-11-07T05:31:56Z",
          "level": 0,
          "issueCode": 0,
          "message": "<string>",
          "value": "<string>"
        }
      ],
      "jitEncodingEnabled": true,
      "smartGenerateStatus": 0,
      "smartGenerateFeaturesStatus": {
        "title": 0,
        "description": 0,
        "chapters": 0,
        "moments": 0
      },
      "hasOriginal": true,
      "originalHash": "<string>",
      "hasHighQualityPreview": true
    }
  ]
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

Query Parameters

page
integer<int32>
default:1
itemsPerPage
integer<int32>
default:100
search
string | null
default:""
collection
string | null
default:""
orderBy
string | null
default:date

Response

The list of videos for the current parameters

totalItems
integer<int64>

The total number of items that can be returned

currentPage
integer<int64>

The current page of the response

itemsPerPage
integer<int32>

The number of items returned per page

items
object[] | null

The result items on the current result

Last modified on July 11, 2026